<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.countrygarden.bi.main.dao.excontract.ContractDictionaryMapper">
  <resultMap id="BaseResultMap" type="cn.com.countrygarden.bi.main.model.excontract.ContractDictionary">
    <id column="code" jdbcType="INTEGER" property="code" />
    <result column="preCode" jdbcType="INTEGER" property="precode" />
    <result column="kind" jdbcType="VARCHAR" property="kind" />
    <result column="kindDetail" jdbcType="VARCHAR" property="kinddetail" />
    <result column="minusScore" jdbcType="DOUBLE" property="minusscore" />
    <result column="minusMoney" jdbcType="DOUBLE" property="minusmoney" />
    <result column="createBy" jdbcType="VARCHAR" property="createby" />
    <result column="createDate" jdbcType="TIMESTAMP" property="createdate" />
    <result column="modifiedBy" jdbcType="VARCHAR" property="modifiedby" />
    <result column="modifiedDate" jdbcType="TIMESTAMP" property="modifieddate" />
  </resultMap>

  <sql id="Base_Column_List">
    code, preCode, kind, kindDetail, minusScore, minusMoney, createBy, createDate, modifiedBy, 
    modifiedDate
  </sql>

</mapper>